# Poco::Util::Units::Internal

# template < typename T1, typename T2 >

# struct Convert

Library: Util
Package: Units
Header: Poco/Util/Units.h

## Description

Converts T1 to T2. If you really want to implement your own conversion routine, specialize this template. The default implementation falls through to Convert2. If this fails, then T1 is not Convertible to T2:

## Member Summary

Member Functions: fn

## Types

### sizeof

typedef poco_static_assert_test < sizeof (POCO_STATIC_ASSERTION_FAILURE < (bool)((Convertible < T1, T2 >::Value))>)> poco_static_assert_typedef_352 __attribute__ ((unused));

## Member Functions

### fn

template < typename V > static V fn(
const V & v
);